6.0
Entities Definitions - Hipnotic Misc.

Last Updated : 2/5/98
©1998 Carl Glave
Back to Main Index

Hipnotic Misc. Entities Index

- func_pushable
- func_movewall
- path_follow
- path_follow2
- func_togglewall
- func_earthquake
- func_rubble
- func_rubble1
- func_rubble2
- func_rubble3
- func_breakawaywall
- func_exploder
- func_multi_exploder
- wallsprite
- effect_teleport
- func_spawn
- func_counter
- func_oncount
- trigger_damagethreshold
- trigger_usekey
- trigger_remove
- trigger_setgravity
- trigger_command
- info_command
- trigger_waterfall
- func_bobbingwater

func_pushable (0 .5 .8) ?

This entity uses a brush model, and can be push horizontally by the player. They are not perfect, but work nicely in open, flat areas.

func_movewall (0 .5 .8) ? VISIBLE TOUCH

Used to emulate collision on rotating objects.

VISIBLE causes brush to be displayed.

TOUCH specifies whether to cause damage when touched by player.

NONBLOCKING makes the brush non-solid. This is useless if VISIBLE is not set.

"dmg" specifies the damage to cause when touched or blocked.

path_follow (0.5 0.3 0) ?

Monsters will stop what they are doing and follow to the target. This forces monsters to change direction, unless there enemy is in sight. Variable Sized

path_follow2 (0.5 0.3 0) (-8 -8 -8) (8 8 8)

Monsters will stop what they are doing and follow to the target. This forces monsters to change direction, unless there enemy is in sight. Fixed Size

func_togglewall (0 .5 .8) ? START_OFF

Creates a invisible wall that can be toggled on and off.

START_OFF wall doesn't block until triggered.

"noise" is the sound to play when wall is turned off.

"noise1" is the sound to play when wall is blocking.

"dmg" is the amount of damage to cause when touched.

func_earthquake (0 0 0.5) (0 0 0) (32 32 32)

Causes an earthquake. Triggers targets.

"dmg" is the duration of the earthquake. Default is 0.8 seconds.

func_rubble (0.4 0.4 0.2) (0 0 0) (32 32 32)

Spawns random sized rubble when triggered.

"count" is the number of pieces of rubble to spawn. Default is 1.

+ "skin" is the color of rubble to throw. Here's a list of the colors.

0 = Rusty Metal
1 = Muky Metal
2 = Brown
3 = Light Brown
4 = Red
5 = Blue
6 = Cyan
7 = Aqua
8 = Green
9 = Yellow
10 = Purple
11 = White
12 = Gray
13 = Black
-1 = Random

func_rubble1 (0.4 0.4 0.2) (0 0 0) (8 8 8)

Spawns small rubble when triggered.

"count" is the number of pieces of rubble to spawn. Default is 1.

+ "skin" is the color of rubble to throw. See func_rubble for a list of valid values.

func_rubble2 (0.4 0.4 0.2) (0 0 0) (16 16 16)

Spawns medium rubble when triggered.

"count" is the number of pieces of rubble to spawn. Default is 1.

+ "skin" is the color of rubble to throw. See func_rubble for a list of valid values.

func_rubble3 (0.4 0.4 0.2) (0 0 0) (32 32 32)

Spawns large rubble when triggered.

"count" is the number of pieces of rubble to spawn. Default is 1.

+ "skin" is the color of rubble to throw. See func_rubble for a list of valid values.

func_breakawaywall (0 .5 .8) ? EXPLODE PARTICLES

Special walltype that removes itself when triggered.

+ EXPLODE makes the wall become an explosion when triggered and not just dissapear.

+ PARTICLES makes it use particles when it blows up. No effect if EXPLODE is not also set.

+ "cnt" is the count value that a func_counter must be at to trigger it. This was added so that you can have a func_counter directly trigger a series of these without needing an extra entity for each one.

+ "count" is the number of pieces of rubble to toss when triggered.

+ "skin" is the skin number of the rubble to use if "count" is set. See func_rubble for a list of valid values.

func_exploder (0.4 0 0) (0 0 0) (8 8 8) PARTICLES

Spawns an explosion when triggered. Triggers any targets.

PARTICLES whether to spawn a particle explosion or not.

"dmg" specifies how much damage to cause. Negative values indicate no damage. Default or 0 indicates 120.

"volume" volume at which to play explosions (default 1.0)

"speed" attenuation for explosions (default normal)

+ "count" is the number of pieces of rubble to spawn. Default is 0.

+ "skin" is the color of rubble to throw. See func_rubble for a list of valid values.

func_multi_exploder (0.4 0 0) ?

Spawns an explosion when triggered. Triggers any targets. size of brush determines where explosions will occur.

"dmg" specifies how much damage to cause from each explosion Negative values indicate no damage. Default or 0 indicates 120.

"delay" delay before exploding (Default 0 seconds)

"duration" how long to explode for (Default 1 second)

"wait" time between each explosion (default 0.25 seconds)

"volume" volume to play explosion sound at (default 0.5)

"speed" attenuation for explosions (default normal)

+ "count" is the number of pieces of rubble to spawn. Default is 0.

+ "skin" is the color of rubble to throw. See func_rubble for a list of valid values.

wallsprite (0 1 0) (-8 -8 -8) (8 8 8)

Places a sprite on a wall. Angles should be opposite of face.

"model" sprite to place on wall. Default is "progs/s_blood1.spr".

effect_teleport (0.3 0.1 0.6) (-8 -8 -8) (8 8 8)

Create a teleport effect when triggered The effect is only eye-candy it does nothing

func_spawn (0 .5 .8) (-32 -32 -24) (32 32 40) big/ambush megahealth

This will spawn a thing upon being used. The thing that is spawned depends upon the value of "spawnfunction". The angles, target and all flags are passed on Think of it like setting up a normal entity.

"spawnclassname" should contain the same value as "spawnfunction".

If "spawnfunction" is unspecified a random monster is chosen as follows:

50% - dog
30% - ogre
12% - fiend
5% - zombie
3% - shambler

"spawnsilent" set this to none 0 if you want a silent spawn.

"spawnmulti" set this to 1 if you want this spawn to be reoccuring.

func_counter (0 0 0.5) (0 0 0) (32 32 32) TOGGLE LOOP STEP RESET RANDOM FINISHCOUNT START_ON

This is used to trigger things in a series. Examples of uses are for triggering the parts og particle fields, and exploding walls in a series instead of having them be triggered all at the same time.

TOGGLE causes the counter to switch between an on and off state each time the counter is triggered.

LOOP causes the counter to repeat infinitly. The count resets to zero after reaching the value in "count".

STEP causes the counter to only increment when triggered. Effectively, this turns the counter into a relay with counting abilities.

RESET causes the counter to reset to 0 when restarted.

RANDOM causes the counter to generate random values in the range 1 to "count" at the specified interval.

FINISHCOUNT causes the counter to continue counting until it reaches "count" before shutting down even after being set to an off state.

START_ON causes the counter to be on when the level starts.

"count" specifies how many times to repeat the event. If LOOP is set, it specifies how high to count before reseting to zero. Default is 10.

"wait" the length of time between each trigger event. Default is 1 second.

"delay" how much time to wait before firing after being switched on.

func_oncount (0 0 0.5) (0 0 0) (16 16 16)

For use as the target of a func_counter. When the counter reaches the value set by count, func_oncount triggers its targets. This is not needed if the intended target has counter support built into it.

"count" specifies the value to trigger on. Default is 1.

"delay" how much time to wait before firing after being triggered.

trigger_damagethreshold (0 .5 .8) ? MULTI_USE INVISIBLE

Triggers only when a threshold of damage is exceeded. When used in conjunction with func_breakawaywall, allows walls that may be destroyed with a rocket blast.

MULTI_USE tells the trigger to not to remove itself after being fired. Allows the trigger to be used multiple times.

INVISIBLE tells the trigger to not be visible.

"health" specifies how much damage must occur before trigger fires. Default is 60.

trigger_usekey (0 .5 0) ? USE_GOLD_KEY

Variable sized single use trigger that requires a key to trigger targets. Must be targeted at one or more entities.

USE_GOLD_KEY if set use gold key, otherwise use the silver key.

"message" is printed when the trigger is touched without having the right key.

trigger_remove (.5 .5 .5) ? IGNOREMONSTERS IGNOREPLAYERS

Variable sized trigger that removes the thing that touches it. Does not affect monsters or players.

IGNOREMONSTERS ignores monsters if set

IGNOREPLAYERS ignores players if set

trigger_setgravity (.5 .5 .5) ?

Set the gravity of a player, monster, or a weapon projectile.

+ This now sets the gravity for all things. This makes weapons fire and monster jumping in low gravity areas much more realistic.

"gravity" what to set the players gravity to.

- 0 (default) normal gravity
- 1 no gravity
- 2 almost no gravity
- ...
- 101 normal gravity
- 102 slightly higher than normal gravity
- ...
- 1000 very high gravity

trigger_command (0.3 0.1 0.6) (-10 -10 -8) (10 10 8)

When triggered, stuffs a command into the console to allow map designers to set server variables.

"message" is the command to send to the console.

info_command (0.3 0.1 0.6) (-10 -10 -8) (10 10 8)

Stuffs a command into the console to allow map designers to set server variables.

"message" is the command to send to the console.

trigger_waterfall (.2 .5 .2) ?

Pushes the player in the direction specified by angles.

"speed" is the strength of the push (default 50).

"count" amount of random xy movement to add to velocity (default 100).

func_bobbingwater (0 .5 .8) ?

Used to emulate water. To use, create a thin water brush and center it on the water line of the body of water to bob. The amount of the bob is the depth of the brush.

"speed" is how long in seconds it takes the brush to do one full bob.